var neonbasecolor="#CFCFCF";
var neontextcolor="black";
var neonflashspeed=100;  //millisecondes
var neonsleepduration=500;
var neon0=0


function crossref(number){
var crossobj=document.all? eval("document.all.neonlight"+number) : document.getElementById("neonlight"+number)
return crossobj
}

function neon(long){
if (neon0==0){
    for (m=0;m<long;m++) crossref(m).style.color=neonbasecolor
	}
crossref(neon0).style.color=neontextcolor
if (neon0<long-1)  neon0++
else {
    neon0=0
    clearInterval(flashing)
    setTimeout("execneon(long)",neonsleepduration)
    }
}

function execneon(long) {
flashing=setInterval("neon(long)",neonflashspeed)
}

function writeneon(message){
long=message.length;
document.write('<font color="'+neonbasecolor+'">')
for (m=0;m<long;m++)
	document.write('<span id="neonlight'+m+'">'+message.charAt(m)+'</span>')
document.write('</font>')
execneon(long);
}




